|  | Home · All Classes · Modules

# QTextCodec.ConversionFlags Class Reference
[QtCore module]

### Methods

- __init__ (self, ConversionFlags f)
- __init__ (self)

### Special Methods

- ConversionFlags __and__ (self, int mask)
- bool __eq__ (self, ConversionFlags f)
- ConversionFlags __iand__ (self, int mask)
- int __int__ (self)
- ConversionFlags __invert__ (self)
- ConversionFlags __ior__ (self, ConversionFlags f)
- ConversionFlags __ixor__ (self, ConversionFlags f)
- bool __ne__ (self, ConversionFlags f)
- int __nonzero__ (self)
- ConversionFlags __or__ (self, ConversionFlags f)
- ConversionFlags __xor__ (self, ConversionFlags f)

## Detailed Description

ConversionFlag may be used whenever ConversionFlags is expected.

## Method Documentation

### ConversionFlags.__init__ (self, ConversionFlags f)

### ConversionFlags.__init__ (self)

### ConversionFlags ConversionFlags.__and__ (self, int mask)

### bool ConversionFlags.__eq__ (self, ConversionFlags f)

### ConversionFlags ConversionFlags.__iand__ (self, int mask)

### int ConversionFlags.__int__ (self)

### ConversionFlags ConversionFlags.__invert__ (self)

### ConversionFlags ConversionFlags.__ior__ (self, ConversionFlags f)

### ConversionFlags ConversionFlags.__ixor__ (self, ConversionFlags f)

### bool ConversionFlags.__ne__ (self, ConversionFlags f)

### int ConversionFlags.__nonzero__ (self)

### ConversionFlags ConversionFlags.__or__ (self, ConversionFlags f)

### ConversionFlags ConversionFlags.__xor__ (self, ConversionFlags f)